<?php require_once("database.php"); require_once("php/accountfunc.php"); require_once("shoppingfunc.php"); 

//zoekt items op bij letters of naam
function searchItems()
{
	$returns = "";

	$returns .= "<div id='full'><form id='form' action='search.php' method='post'>
					<input type='text' name='naam' value='' placeholder='letters of naam van product' required autofocus>
					<input type='submit' value='Zoeken' name='submit'>
				</form>";

	if(isset($_POST['submit']))
	{
		//invoer hoger dan 3 tekens?
		if(strlen($_POST['naam']) > 3)
		{
			$items = [];
			$items = database_shopping(4, htmlspecialchars($_POST['naam']));

			for($i = 0; $i < count($items); $i++)
			{	
				$returns .= itemBlock(0, $items[$i]["ID"], $items[$i]["Naam"], $items[$i]["Plaatje"], $items[$i]["Beschrijving"], $items[$i]["Meters"], $items[$i]["Prijs"], $items[$i]["Type"], $items[$i]["Categorie"]);	
			}
		}else{ //anders
			$returns .= "<div class='tinycontent'>Je moet meer dan 3 characters invullen</div>";
		}
	}	


	$returns .= "</div>";
	return $returns;
}